ODK API Portal
한국어
  • Overview
  • MediaIO
  • Continue Watching
  • Player Event
  • Deprecated
  • Recent changes
Information
carousel-group
Carousel
category-channels
category-navigation
category
channels
consent
content
Continue Watching
cover
deletion-request
device-data
Favorites
    Get favorites listgetAdd to favoritespostRemove from favoritesdelete
multichannel
Onboarding
parental-control
Amasian Parental PIN
playback
policy
recommendation
search
season
series
service-config
Schemas
powered by Zudoku
ODX API v4
ODX API v4

Favorites


Get favorites list

GET
https://odkmedia.io
/odx/api/v4/favorites/

Retrieve favorites list for a specific device.

Get favorites list › query Parameters

ordering
​string

Which field to use when ordering the results.

page
​integer

A page number within the paginated result set.

Default: 1
page_size
​integer

Number of results to return per page.

Example: 10
search
​string

A search term.

Get favorites list › Headers

did
​string · required

Device ID

Example: 00000000-0000-4000-8000-000000000000

Get favorites list › Responses

PaginatedAmasianFavoriteList
count
​integer
next
​string | null · uri
previous
​string | null · uri
​AmasianFavorite[]
GET/odx/api/v4/favorites/
curl https://odkmedia.io/odx/api/v4/favorites \ --header 'did: 00000000-0000-4000-8000-000000000000'
Example Responses
{ "count": 123, "next": "http://api.example.org/accounts/?page=4", "previous": "http://api.example.org/accounts/?page=2", "results": [ { "created": "2024-08-25T15:00:00Z", "device_id": "device_id", "source_id": 1, "type": "content" } ] }
json
application/json

Add to favorites

POST
https://odkmedia.io
/odx/api/v4/favorites/
Code
Add a new item to favorites. **Request Headers:** - `did`: Device identifier (required) **Request Body (JSON):** ```json { "source_id": 123, "type": "content" } ``` **Field descriptions:** - `source_id`: ID of the content/season/channel to add (integer, required) - `type`: Item type - one of "content", "season", "channel" (string, required) **Note:** Device ID is provided via 'did' header, not in request body.

Add to favorites › Headers

did
​string · required

Device ID

Example: 00000000-0000-4000-8000-000000000000

Add to favorites › Request Body

Serializer for AmasianFavorites model. Handles serialization and validation of favorite items. Supports content, season, and channel types. Device ID is provided via 'did' request header, not in request body.
AmasianFavoriteRequest
source_id
​integer · min: 1 · required

ID of the content, season, or channel (positive integer)

type
​AmasianFavoriteTypeEnum · enum · required
  • content - Content
  • season - Season
  • channel - Channel
Enum values:
content
season
channel

Add to favorites › Responses

Serializer for AmasianFavorites model. Handles serialization and validation of favorite items. Supports content, season, and channel types. Device ID is provided via 'did' request header, not in request body.
AmasianFavorite
source_id
​integer · min: 1 · required

ID of the content, season, or channel (positive integer)

type
​AmasianFavoriteTypeEnum · enum · required
  • content - Content
  • season - Season
  • channel - Channel
Enum values:
content
season
channel
created
​string · date-time · readOnly
device_id
​string · readOnly
POST/odx/api/v4/favorites/
curl https://odkmedia.io/odx/api/v4/favorites \ --request POST \ --header 'Content-Type: application/json' \ --header 'did: 00000000-0000-4000-8000-000000000000' \ --data '{ "source_id": 789, "type": "channel" }'
Example Request Body
{ "source_id": 789, "type": "channel" }
json
Request body for adding a channel to favorites (did provided via header)
Example Responses
{ "created": "2024-08-25T15:00:00Z", "device_id": "device_id", "source_id": 1, "type": "content" }
json
application/json

Remove from favorites

DELETE
https://odkmedia.io
/odx/api/v4/favorites/
Code
Remove a specific item from favorites. **Request Headers:** - `did`: Device identifier (required) **Request Body (JSON):** ```json { "source_id": 123, "type": "content" } ``` **Field descriptions:** - `source_id`: ID of the content/season/channel to remove (positive_integer, required) - `type`: Item type - one of "content", "season", "channel" (string, required) **Note:** Device ID is provided via 'did' header, not in request body.

Remove from favorites › Headers

did
​string · required

Device ID

Example: 00000000-0000-4000-8000-000000000000

Remove from favorites › Responses

Successfully deleted

No data returned
DELETE/odx/api/v4/favorites/
curl https://odkmedia.io/odx/api/v4/favorites \ --request DELETE \ --header 'did: 00000000-0000-4000-8000-000000000000'
Example Responses
No example specified for this content type

device-datamultichannel